#include <bits/stdc++.h>
using namespace std;
long long a[32010],b[32010],c[10000000][3];
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    
	long long n;
	cin>>n;
    cout <<1<<endl<<1<<" "<<5;
}
